<?php

namespace App\Actions\V1\Blog;

use App\Repositories\V1\Blogs\BlogRepositoryInterface;

readonly class DeleteBlogAction
{
    public function __construct(private BlogRepositoryInterface $repository)
    {
    }

    public function execute(int $id): void
    {
        $this->repository->delete($id);
    }
}

